API Reference
Create an ICP template
Creates an account-group scoped ICP template that is visible in the dashboard.
/v1/accounts/{accountGroupId}/icp-templatesIntegration notes
Required API permission
templates:write.
Idempotency
not supported; check the current resource state before retrying this request.
Parameters
accountGroupIdPathType: string
Account group ID that scopes the request.
Required
Request body
Required
Optional
Content types
application/json
Schema
object
Fields
nameType: string
Human-readable name for this resource.
Required
descriptionType: string
Human-readable description for this resource.
Optional
filtersType: object
ICP filter object used to define the target customer profile.
Optional
sourceUrlType: string
URL value for source url.
Optional
Responses
ICP template created
Schema: IcpTemplateSuccessResponse
Request validation failed
Schema: ValidationErrorResponse
Invalid or missing API key
Schema: ErrorResponse
Missing required permission
Schema: ErrorResponse
Rate limit exceeded
Schema: ErrorResponse
Internal server error
Schema: ErrorResponse
Response examples
201 Example JSONIcpTemplateSuccessResponse
{
"success": true,
"data": {
"id": "507f1f77bcf86cd799439011",
"name": "Avery Stone",
"description": "string",
"filters": {
"personTitleIncludes": [
"string"
],
"personTitleExcludes": [
"string"
],
"personTitleExtraIncludes": [
"string"
],
"includeSimilarTitles": true,
"includeTitleVariants": true,
"seniorityIncludes": [
"string"
],
"seniorityExcludes": [
"string"
],
"personFunctionIncludes": [
"string"
],
"personFunctionExcludes": [
"string"
],
"functionIncludes": [
"string"
],
"functionExcludes": [
"string"
],
"personFirstNameIncludes": [
"Avery Stone"
],
"personFirstNameExcludes": [
"Avery Stone"
],
"personLastNameIncludes": [
"Avery Stone"
],
"personLastNameExcludes": [
"Avery Stone"
],
"personLocationCountryIncludes": [
"string"
],
"personLocationCountryExcludes": [
"string"
],
"personLocationStateIncludes": [
"string"
],
"personLocationStateExcludes": [
"string"
],
"personLocationCityIncludes": [
"string"
],
"personLocationCityExcludes": [
"string"
],
"companyNameIncludes": [
"Avery Stone"
],
"companyNameExcludes": [
"Avery Stone"
],
"companyNameMatchMode": "exact",
"companyDomainIncludes": [
"string"
],
"companyDomainExcludes": [
"string"
],
"companyDomainMatchMode": "strict",
"companyLocationCountryIncludes": [
"string"
],
"companyLocationCountryExcludes": [
"string"
],
"companyLocationStateIncludes": [
"string"
],
"companyLocationStateExcludes": [
"string"
],
"companyLocationCityIncludes": [
"string"
],
"companyLocationCityExcludes": [
"string"
],
"companyEmployeeSizeIncludes": [
"string"
],
"companyEmployeeSizeExcludes": [
"string"
],
"companySizeIncludes": [
"string"
],
"companySizeExcludes": [
"string"
],
"companyIndustryIncludes": [
"string"
],
"companyIndustryExcludes": [
"string"
],
"companyAudienceIncludes": [
"string"
],
"companyKeywordIncludes": [
"string"
],
"companyKeywordExcludes": [
"string"
],
"technologiesIncludes": [
"string"
],
"annualRevenueIncludes": [
"string"
],
"totalFundingIncludes": [
"string"
],
"fundingStageIncludes": [
"string"
]
},
"source": "manual",
"sourceUrl": "https://example.com/resource",
"createdAt": "string"
},
"error": null,
"traceId": "507f1f77bcf86cd799439011"
}400 Example JSONValidationErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}401 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}403 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}429 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}500 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}